﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Admin.aspx.cs" Inherits="_Admin" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Parallels RAS Web Portal Sample - Admin</title>
    <style type="text/css">
        .documentation{ color:#666; font-size: 11pt; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1 style="border-bottom-style:solid; border-bottom-color:Red;">Parallels RAS Web Portal Sample</h1>
        <h2>Administration Page</h2><a href="Default.aspx">Switch to User Page</a>
        <br/><br/>
        <asp:Panel runat="server" ID="pnlPreLog">
        WebService URL &nbsp;<asp:TextBox ID="txtServiceUrl" runat="server" Width="350px"></asp:TextBox>
            <asp:Button ID="btnAccept" runat="server" OnClick="btnAccept_Click" Text="Accept" /><br />
            <asp:Label ID="lblWebserviceError" runat="server" Text=""></asp:Label>
        <p class="documentation">The Parallels RAS Web Service URL is needed so that the Cloud Portal Sample can connect to the Parallels RAS Web Service to be able to login to the Administrator account and get/update the settings.</p>
        </asp:Panel>
        <br />      
        <asp:Panel runat="server" id="pnlDetails" Visible="False">
        <h4>GetModulesVersion()</h4>
        <p class="documentation">This method returns an xml with the Application Listing and Web Server version numbers.</p>
        <asp:Label ID="lblVersion" runat="server"></asp:Label>
        <hr />
        <br />
        <h4>GetListOfFarms()</h4>
        <p class="documentation">This method returns a dataset of the available farms. The following data is being passed for each farm: ID, Alias, Server Name, and Second Level Authentication on/off.</p>
        Available Farms<br />
        <asp:Label ID="lblFarms" runat="server"></asp:Label><br />
        <hr />
        </asp:Panel>
        <br />
        <asp:Panel runat="server" id="pnlAdminLogon" Visible="False">
        <h4>Admin Logon(username, password)</h4>
        <table>
            <tr>
                <td style="height: 26px">Username</td>
                <td style="height: 26px"><asp:TextBox ID="txtUserName" runat="server"></asp:TextBox></td>
            </tr>
            <tr>
                <td>Password</td>
                <td><asp:TextBox ID="txtPassword" runat="server" TextMode="Password"></asp:TextBox></td></tr>
        </table>
            <asp:Button ID="btnLogOn" runat="server" Text="Log On" OnClick="btnLogOn_Click" /><br />
            <asp:Label ID="lblLoginResult" runat="server"></asp:Label><br />
            <hr />
        </asp:Panel>
        &nbsp;&nbsp;
        <br />

        
        <asp:Panel runat="server" id="pnlNewFarm" Visible="False">
            <h4>New Farm</h4>
            <p class="documentation">To add a new farm, a new row needs to be created in the 'Farms' table.</p>
            <table>
                <tr>
                    <td style="height: 26px">Farm (PriServer)</td>
                    <td style="height: 26px"><asp:TextBox ID="txtNewFarm" runat="server"></asp:TextBox></td>
                </tr>
            </table>
            <asp:Button ID="btnNewFarm" runat="server" Text="Add Farm" OnClick="btnNewFarm_Click" /><br />
            <br />
            Message: <asp:Label ID="lblNewFarm" runat="server"></asp:Label><br />
            <hr />
        </asp:Panel>
        &nbsp;&nbsp;
        <br />

        <asp:Panel ID="pnlLogging" runat="server" Visible="False">
            <h4>Logging</h4>
            <p class="documentation">The Parallels RAS Web Service can log all the actions that are carried out by an administrator or a user. The log can be cleared by calling the ClearLogFile() method, and can also be enabled or disabled by setting the attribute 'EnableLogging' in the 'WSSettings' to true/false.</p>            
            <br />
            <asp:CheckBox ID="cbEnableLogging" runat="server" enabled="false"/>
            <asp:Label ID="LabelEnableLogging" Text="Logging" runat="server"/>
            <asp:Button ID="btnEnableLogging" Text="Enable Logging" runat="server" OnClick="btnEnableLogging_Click" />
            <asp:Button ID="btnDisableLogging" Text="Disable Logging" runat="server" OnClick="btnDisableLogging_Click" />
            <asp:Label ID="lblLoggingEnabled" Text="" runat="server" />
            <br />
            <textarea name="tbLogText" rows="25" cols="20" readonly="readonly" id="tbLogText" runat="server" style="width: 70%;"></textarea><br />
            <br />
            <div id="logging" style="width: 70%; text-align: right;">
                <asp:Button ID="btClearLog" Text="Clear Log" runat="server" OnClick="btClearLog_Click" />
                <asp:Button ID="btGetLogRep" Text="Download Log" runat="server" OnClick="btGetLogRep_Click" />
                Message: <asp:Label ID="lblLog" runat="server"></asp:Label>
            </div>
            <hr />
        </asp:Panel>
    
        <asp:Panel  ID="pnlLogoff" runat="server" Visible="false">
        <h4>Logoff()</h4>
        <asp:Button ID="btnLogOut" runat="server" OnClick="btnLogOut_Click" Text="LogOut" />
        </asp:Panel>
      </div>
    </form>
</body>
</html>
